accrue.analysis.goals

## Class RegisterPointerStmtsGoal

- java.lang.Object
- - polyglot.frontend.goals.AbstractGoal
  - - polyglot.frontend.goals.SourceFileGoal
    - - polyglot.frontend.goals.VisitorGoal
      - - accrue.analysis.goals.RegisterPointerStmtsGoal

- All Implemented Interfaces:
    polyglot.frontend.goals.Goal

      public class RegisterPointerStmtsGoal
      extends polyglot.frontend.goals.VisitorGoal

- - ### Field Summary

    - ### Fields inherited from class polyglot.frontend.goals.VisitorGoal

      `v`

    - ### Fields inherited from class polyglot.frontend.goals.AbstractGoal

      `corequisites, job, name, prerequisites, state`

    - ### Fields inherited from interface polyglot.frontend.goals.Goal

      `ATTEMPTED, REACHED, RUNNING, UNREACHABLE, UNREACHABLE_THIS_RUN, UNREACHED`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RegisterPointerStmtsGoal(polyglot.frontend.Job job, polyglot.types.TypeSystem ts, polyglot.ast.NodeFactory nf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static polyglot.frontend.goals.Goal` | `create(polyglot.frontend.Scheduler scheduler, polyglot.frontend.Job job, polyglot.types.TypeSystem ts, polyglot.ast.NodeFactory nf)`
    `java.util.Collection<polyglot.frontend.goals.Goal>` | `prerequisiteGoals(polyglot.frontend.Scheduler scheduler)`

    - ### Methods inherited from class polyglot.frontend.goals.VisitorGoal

      `createPass, equals, hashCode, toString, visitor`

    - ### Methods inherited from class polyglot.frontend.goals.AbstractGoal

      `addCorequisiteGoal, addPrerequisiteGoal, checkCycles, conflictsWith, corequisiteGoals, hasBeenReached, isReachable, job, name, setState, setUnreachable, setUnreachableThisRun, state, stateString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegisterPointerStmtsGoal

          protected RegisterPointerStmtsGoal(polyglot.frontend.Job job,
                                  polyglot.types.TypeSystem ts,
                                  polyglot.ast.NodeFactory nf)

  - ### Method Detail

    - #### create

          public static polyglot.frontend.goals.Goal create(polyglot.frontend.Scheduler scheduler,
                                            polyglot.frontend.Job job,
                                            polyglot.types.TypeSystem ts,
                                            polyglot.ast.NodeFactory nf)

    - #### prerequisiteGoals

          public java.util.Collection<polyglot.frontend.goals.Goal> prerequisiteGoals(polyglot.frontend.Scheduler scheduler)

      Specified by:
        `prerequisiteGoals` in interface `polyglot.frontend.goals.Goal`
      Overrides:
        `prerequisiteGoals` in class `polyglot.frontend.goals.AbstractGoal`